Debian Bug report logs - #582952
dash / LINENO-support lets many package FTBFS

version graph

Package: dash; Maintainer for dash is Gerrit Pape <pape@smarden.org>; Source for dash is src:dash.

Reported by: Andreas Barth <aba@not.so.argh.org>

Date: Mon, 24 May 2010 20:30:01 UTC

Severity: serious

Found in versions dash/0.5.7-2~exp1, dash/0.5.5.1-7~exp0, dash/0.5.6.1-1~exp1, dash/0.5.5.1-5

Fixed in versions dash/0.5.5.1-6, dash/0.5.5.1-7, dash/0.5.7-1

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Mon, 24 May 2010 20:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 24 May 2010 20:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: submit@bugs.debian.org
Subject: dash / LINENO-support lets many package FTBFS
Date: Mon, 24 May 2010 22:27:10 +0200
Package: dash
Version: 0.5.5.1-5
Severity: serious

Hi,

recently dash gained support for LINENO (see #540685). This made many
other package FTBFS, see e.g. #582037, #582876, #581884 and #582565.

A change that makes so many packages FTBFS makes release management
hard (or rather impossible), so we need to find a way how these
package don't FTBFS at the current point in time. Of course,
technically spoken, these packages are all buggy. 

However, as sort of work around, I would like to ask you to remove
this feature from dash in unstable again.

Re the long term perspectives, Jakub Wilk has contacted Lucas Nussbaum
about testing all our packages in unstable and see which are affected
by this bug, and then filling bugs as appropriate. Once we know how
many packages are affected, we then can encourage people to fix the
bugs with their next uploads. As soon as the number of affected
packages is acceptable, we then can turn on LINENO on dash again.
Otherwise this is now directly negativly affecting all of our ongoing
and planned transitions.

Of course, uploading an version of dash with LINENO to experimental
would be appreciated, so that we can continue to check the affected
packages.

The other alternative to removing LINENO-support would be to make sure
that /bin/sh points to bash in the buildd chroots - nothing I would
like to.

(This bug is "serious", because this needs the release team attention.
If you disagree with the proposal above, please don't lower the
severity but instead reassign it to buildd.d.o so that we can change
/bin/sh in the buildd chroots to bash. Thanks.)



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Mon, 24 May 2010 21:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 24 May 2010 21:15:14 GMT) Full text and rfc822 format available.

Message #10 received at 582952@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Andreas Barth <aba@not.so.argh.org>, 582952@bugs.debian.org
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Mon, 24 May 2010 16:13:44 -0500
On 24 May 2010 15:27, Andreas Barth <aba@not.so.argh.org> wrote:
> However, as sort of work around, I would like to ask you to remove
> this feature from dash in unstable again.

I can't speak for the maintainer, but I'd prefer if this change is not reverted.
LINENO is required by POSIX and was the last, major, missing piece.


> Re the long term perspectives, Jakub Wilk has contacted Lucas Nussbaum
> about testing all our packages in unstable and see which are affected
> by this bug, and then filling bugs as appropriate.

That should reveal the most serious issues, but not all of the bugs.

I can run checkbashisms on all the source packages but I would need
some help to process the results. I've some tools to process the
results, generate the reports, etc; but they were designed to process
results from the binary packages, not source.
I probably won't have time to process the results myself in the next
two-three weeks.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Mon, 24 May 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 24 May 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 582952@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Raphael Geissert <geissert@debian.org>
Cc: 582952@bugs.debian.org
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Mon, 24 May 2010 23:22:49 +0200
* Raphael Geissert (geissert@debian.org) [100524 23:13]:
> I probably won't have time to process the results myself in the next
> two-three weeks.

Sorry, but we need something working within one week. I have lots of
cool ideas how the world should be, but this is not about "how should
it look like", but "how can we continue with our transitions, e.g. the
ongoing ones and the upcoming ones like python 2.6". And "no" is not
an answer.

If we can't revert the patch, we have to change the buildd chroots.
Just consider what is better.

I'd think reverting the patch is better, but I'll accept an
maintainers decision to not.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Tue, 25 May 2010 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 25 May 2010 06:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 582952@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Andreas Barth <aba@not.so.argh.org>, 582952@bugs.debian.org
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Tue, 25 May 2010 08:28:58 +0200
On 24/05/10 at 22:27 +0200, Andreas Barth wrote:
> Re the long term perspectives, Jakub Wilk has contacted Lucas Nussbaum
> about testing all our packages in unstable and see which are affected
> by this bug, and then filling bugs as appropriate. Once we know how
> many packages are affected, we then can encourage people to fix the
> bugs with their next uploads. As soon as the number of affected
> packages is acceptable, we then can turn on LINENO on dash again.
> Otherwise this is now directly negativly affecting all of our ongoing
> and planned transitions.

Hi,

I've just done an archive rebuild.  459 packages failed. 340 are new
failures (they didn't fail two weeks ago). I've attached the full list
of new failures.

Filtering out failures that don't seem caused by this change (with grep
-v -e GCC_ERROR -e  BUILDDEPS -e LD_ERROR -e globus -e cc1d -e autopoint
-e dpkg-gencontrol -e epstopdf), I'm down to a maximum of 160 failures
possibly caused by this change.

How do you want to proceed? Should I file bugs on all those packages, or
wait until a "fixed" dash is uploaded?

IMHO, the most reasonable option is to keep the current package as is,
to change the shell in the buildd chroots to bash temporarily, and to
file those bugs as RC. That way, people can easily test and fix them,
and the buildds are not affected.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Tue, 25 May 2010 06:55:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 25 May 2010 06:55:40 GMT) Full text and rfc822 format available.

Message #25 received at 582952@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Andreas Barth <aba@not.so.argh.org>, 582952@bugs.debian.org
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Tue, 25 May 2010 08:50:19 +0200
[Message part 1 (text/plain, inline)]
On 25/05/10 at 08:28 +0200, Lucas Nussbaum wrote:
> I've attached the full list of new failures.

Now with the attachment :-)
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[results-250510.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Tue, 25 May 2010 08:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>, 582952@bugs.debian.org, Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 25 May 2010 08:21:07 GMT) Full text and rfc822 format available.

Message #30 received at 582952@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 582952@bugs.debian.org
Cc: Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Tue, 25 May 2010 08:19:35 +0000
On Tue, May 25, 2010 at 08:28:58AM +0200, Lucas Nussbaum wrote:
> On 24/05/10 at 22:27 +0200, Andreas Barth wrote:
> > Re the long term perspectives, Jakub Wilk has contacted Lucas Nussbaum
> > about testing all our packages in unstable and see which are affected
> > by this bug, and then filling bugs as appropriate. Once we know how
> > many packages are affected, we then can encourage people to fix the
> > bugs with their next uploads. As soon as the number of affected
> > packages is acceptable, we then can turn on LINENO on dash again.
> > Otherwise this is now directly negativly affecting all of our ongoing
> > and planned transitions.
> 
> Hi,
> 
> I've just done an archive rebuild.  459 packages failed. 340 are new
> failures (they didn't fail two weeks ago). I've attached the full list
> of new failures.
> 
> Filtering out failures that don't seem caused by this change (with grep
> -v -e GCC_ERROR -e  BUILDDEPS -e LD_ERROR -e globus -e cc1d -e autopoint
> -e dpkg-gencontrol -e epstopdf), I'm down to a maximum of 160 failures
> possibly caused by this change.
> 
> How do you want to proceed? Should I file bugs on all those packages, or
> wait until a "fixed" dash is uploaded?
> 
> IMHO, the most reasonable option is to keep the current package as is,
> to change the shell in the buildd chroots to bash temporarily, and to
> file those bugs as RC. That way, people can easily test and fix them,
> and the buildds are not affected.

Hi, I'm fine either way, whatever helps you more with your release
management.  If I shall back out the new LINENO support in unstable and
include it in a version in exerimental, just tell me.  OTOH having less
work always is good ;).

Regards, Gerrit.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Tue, 25 May 2010 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 25 May 2010 12:57:04 GMT) Full text and rfc822 format available.

Message #35 received at 582952@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 582952@bugs.debian.org
Cc: Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Tue, 25 May 2010 14:53:50 +0200
[Message part 1 (text/plain, inline)]
* Lucas Nussbaum <lucas@lucas-nussbaum.net>, 2010-05-25, 08:28:
>I've just done an archive rebuild.  459 packages failed. 340 are new
>failures (they didn't fail two weeks ago). I've attached the full list
>of new failures.
>
>Filtering out failures that don't seem caused by this change (with grep
>-v -e GCC_ERROR -e  BUILDDEPS -e LD_ERROR -e globus -e cc1d -e autopoint
>-e dpkg-gencontrol -e epstopdf), I'm down to a maximum of 160 failures
>possibly caused by this change.

I would not filter out GCC_ERROR. E.g. setools and idjc failures are 
both triggered by the new dash.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Tue, 25 May 2010 14:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 25 May 2010 14:51:07 GMT) Full text and rfc822 format available.

Message #40 received at 582952@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 582952@bugs.debian.org
Cc: Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Tue, 25 May 2010 09:49:05 -0500
On 25 May 2010 01:28, Lucas Nussbaum <lucas@lucas-nussbaum.net> wrote:
> I've just done an archive rebuild.  459 packages failed. 340 are new
> failures (they didn't fail two weeks ago). I've attached the full list
> of new failures.

I've started an archive-wide checkbashisms check on the source packages.
As of the time of writing, it has checked 9415 source packages, and
with some commands magic I'm counting 1113 packages with bashisms in
configure scripts.
There are of course some false positives among them.

There's a total of 2758 source packages with some sort of bashism in
any /bin/sh script in the source package (which might or might: be
used during the build process or included in the binary packages.)
The numbers are possibly higher because I fixed some bugs in
checkbashisms' parsing code

> How do you want to proceed? Should I file bugs on all those packages, or
> wait until a "fixed" dash is uploaded?

I can't speak for the RT, but they should really be treated as RC.

> IMHO, the most reasonable option is to keep the current package as is,
> to change the shell in the buildd chroots to bash temporarily, and to
> file those bugs as RC. That way, people can easily test and fix them,
> and the buildds are not affected.

I agree.

I will later send a RFH to -devel with the list of affected packages,
pointing to a location where the full results can be found.

(will start another archive-wide check against the binary packages
with the improved checkbashisms too, will try to fast-process it. I.e.
only review results if there's no goal-dash br already filed against
the package.)

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Tue, 25 May 2010 16:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 25 May 2010 16:18:07 GMT) Full text and rfc822 format available.

Message #45 received at 582952@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Jakub Wilk <jwilk@debian.org>
Cc: 582952@bugs.debian.org, Andreas Barth <aba@not.so.argh.org>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Tue, 25 May 2010 18:15:05 +0200
[Message part 1 (text/plain, inline)]
On 25/05/10 at 14:53 +0200, Jakub Wilk wrote:
> * Lucas Nussbaum <lucas@lucas-nussbaum.net>, 2010-05-25, 08:28:
> >I've just done an archive rebuild.  459 packages failed. 340 are new
> >failures (they didn't fail two weeks ago). I've attached the full list
> >of new failures.
> >
> >Filtering out failures that don't seem caused by this change (with grep
> >-v -e GCC_ERROR -e  BUILDDEPS -e LD_ERROR -e globus -e cc1d -e autopoint
> >-e dpkg-gencontrol -e epstopdf), I'm down to a maximum of 160 failures
> >possibly caused by this change.
> 
> I would not filter out GCC_ERROR. E.g. setools and idjc failures are
> both triggered by the new dash.

Indeed. Attached is the list of the 124 packages that FTBFS with dash
0.5.5.1-5 but do not fail with dash 0.5.5.1-3.

I have downgraded to "important" the bugs I filed about those packages.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[failed-dash.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Tue, 25 May 2010 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Tue, 25 May 2010 16:39:03 GMT) Full text and rfc822 format available.

Message #50 received at 582952@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Jakub Wilk <jwilk@debian.org>, 582952@bugs.debian.org
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Tue, 25 May 2010 18:36:22 +0200
* Lucas Nussbaum (lucas@lucas-nussbaum.net) [100525 18:16]:
> Indeed. Attached is the list of the 124 packages that FTBFS with dash
> 0.5.5.1-5 but do not fail with dash 0.5.5.1-3.
> 
> I have downgraded to "important" the bugs I filed about those packages.

Great. That's the severity I wanted to ask you.


Gerrit, can you please remove the patch from unstable again, and
upload it instead to experimental? Thanks.



Andi




Added tag(s) pending. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Wed, 26 May 2010 12:12:07 GMT) Full text and rfc822 format available.

Reply sent to Gerrit Pape <pape@smarden.org>:
You have taken responsibility. (Wed, 26 May 2010 22:24:31 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. (Wed, 26 May 2010 22:24:31 GMT) Full text and rfc822 format available.

Message #57 received at 582952-close@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: 582952-close@bugs.debian.org
Subject: Bug#582952: fixed in dash 0.5.5.1-6
Date: Wed, 26 May 2010 22:21:24 +0000
Source: dash
Source-Version: 0.5.5.1-6

We believe that the bug you reported is fixed in the latest version of
dash, which is due to be installed in the Debian FTP archive:

ash_0.5.5.1-6_all.deb
  to main/d/dash/ash_0.5.5.1-6_all.deb
dash_0.5.5.1-6.diff.gz
  to main/d/dash/dash_0.5.5.1-6.diff.gz
dash_0.5.5.1-6.dsc
  to main/d/dash/dash_0.5.5.1-6.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerrit Pape <pape@smarden.org> (supplier of updated dash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 May 2010 11:32:17 +0000
Source: dash
Binary: dash ash
Architecture: all source
Version: 0.5.5.1-6
Distribution: unstable
Urgency: high
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Gerrit Pape <pape@smarden.org>
Description: 
 ash        - compatibility package for dash
 dash       - POSIX-compliant shell
Closes: 581425 582952
Changes: 
 dash (0.5.5.1-6) unstable; urgency=high
 .
   * debian/diff/0001-JOBS-Fix-dowait-signal-race.diff,
     debian/diff/0002-SIGNAL-Remove-EXSIG.diff: remove (closes: #581425).
   * debian/diff/: remove patches with reverts (0009, 0013, 0015, 0018,
     0019).
   * debian/diff/0010-SHELL-Add-preliminary-LINENO-support.diff: remove
     (re-opens: #540685, closes: #582952).
   * debian/diff/0015--BUILTIN-Use-TMPDIR-in-mkbuiltins.diff,
     debian/diff/0016--BUILTIN-Make-trap-signal-name-number-...diff,
     debian/diff/0017--JOBS-Fix-for-job-control-off-warning.diff: new;
     cherry-picked from upstream git.
Checksums-Sha1: 
 b1cb3d0cd413a3855399094eea85ec28fb22938f 1027 dash_0.5.5.1-6.dsc
 0102e97d146ae11e12506586246ef6e14e602829 46771 dash_0.5.5.1-6.diff.gz
 39f43d0ca005701b61a631257da2577afcadcb03 24124 ash_0.5.5.1-6_all.deb
Checksums-Sha256: 
 1d905e31a7289a71f6e0518f6cd41730472c707037f24805f2d7beab96502c9a 1027 dash_0.5.5.1-6.dsc
 f3ca164e54626ae0226c2f7f4e62cfb0086f4e18d8a837f040fbacae42ed7e3c 46771 dash_0.5.5.1-6.diff.gz
 6301f46aee12970e0448573482277d06d734ce2378bfed3148b983dd056998f9 24124 ash_0.5.5.1-6_all.deb
Files: 
 c0da4752b20277a8bb7fb3b4b9a940ef 1027 shells optional dash_0.5.5.1-6.dsc
 4766863a64dc17bf85766c59b009c44b 46771 shells optional dash_0.5.5.1-6.diff.gz
 89d216034c3dc444845fff8c0c3fff99 24124 shells optional ash_0.5.5.1-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkv9em8ACgkQGJoyQbxwpv87UgCfW38ShQi8Nq/amjgYYdeavMXF
JYkAoJzmZBgF9kAs/XZNbrpQs8QC2C6p
=S/t0
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 04:51:03 GMT) Full text and rfc822 format available.

Message #60 received at 582952@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Andreas Barth <aba@not.so.argh.org>, 582952@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Wed, 26 May 2010 23:47:50 -0500
On Tuesday 25 May 2010 11:36:22 Andreas Barth wrote:
> * Lucas Nussbaum (lucas@lucas-nussbaum.net) [100525 18:16]:
> > I have downgraded to "important" the bugs I filed about those packages.
> 
> Great. That's the severity I wanted to ask you.

I disagree.

Those bugs are policy violations and make those packages FTBFS when using dash 
from testing or experimental, or posh. 

Tag them squeeze-ignore if you want, but their severity is 'serious.'

Regards,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 08:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 27 May 2010 08:12:06 GMT) Full text and rfc822 format available.

Message #65 received at 582952@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Raphael Geissert <geissert@debian.org>
Cc: 582952@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Thu, 27 May 2010 10:08:58 +0200
* Raphael Geissert (geissert@debian.org) [100527 06:47]:
> On Tuesday 25 May 2010 11:36:22 Andreas Barth wrote:
> > * Lucas Nussbaum (lucas@lucas-nussbaum.net) [100525 18:16]:
> > > I have downgraded to "important" the bugs I filed about those packages.
> > 
> > Great. That's the severity I wanted to ask you.
> 
> I disagree.
> 
> Those bugs are policy violations and make those packages FTBFS when using dash 
> from testing or experimental, or posh. 
> 
> Tag them squeeze-ignore if you want, but their severity is 'serious.'

That's not your call to make.

The release team decided that these bugs are not release critical. We
intend to change that decision if only an acceptable number of such
bugs is left.

If you disagree, you can try to either convince us, or call the tech
ctte.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 14:57:08 GMT) Full text and rfc822 format available.

Message #68 received at 582952@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Andreas Barth <aba@not.so.argh.org>
Cc: 582952@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Thu, 27 May 2010 09:52:51 -0500
On Thursday 27 May 2010 03:08:58 Andreas Barth wrote:
> * Raphael Geissert (geissert@debian.org) [100527 06:47]:
> > Those bugs are policy violations and make those packages FTBFS when using
> > dash from testing or experimental, or posh.
> > 
> > Tag them squeeze-ignore if you want, but their severity is 'serious.'
> 
> That's not your call to make.
> 
> The release team decided that these bugs are not release critical.

Hence my suggestion to mark them squeeze-ignore. 

They might not be release critical but their severity, in terms of the BTS, 
_is_ serious. Do we agree on that?

I find it perfectly reasonable for the RT to say they are not critical for the 
release.

> We intend to change that decision if only an acceptable number of such
> bugs is left.

I'm going to try to find time to work on those bugs so that LINENO can be 
reintroduced for squeeze.

> If you disagree, you can try to either convince us, or call the tech
> ctte.

Please, I think we can discuss and clarify our opinions without getting the 
tech ctte involved. It would be a waste of time for every party, and there's 
simply no need.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 27 May 2010 15:09:05 GMT) Full text and rfc822 format available.

Message #73 received at 582952@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Raphael Geissert <geissert@debian.org>
Cc: 582952@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#582952: dash / LINENO-support lets many package FTBFS
Date: Thu, 27 May 2010 17:05:28 +0200
* Raphael Geissert (geissert@debian.org) [100527 16:52]:
> On Thursday 27 May 2010 03:08:58 Andreas Barth wrote:
> > * Raphael Geissert (geissert@debian.org) [100527 06:47]:
> > > Those bugs are policy violations and make those packages FTBFS when using
> > > dash from testing or experimental, or posh.
> > > 
> > > Tag them squeeze-ignore if you want, but their severity is 'serious.'
> > 
> > That's not your call to make.
> > 
> > The release team decided that these bugs are not release critical.
> 
> Hence my suggestion to mark them squeeze-ignore. 
> 
> They might not be release critical but their severity, in terms of the BTS, 
> _is_ serious. Do we agree on that?

No.

The release team defines when a bug is "a severe violation of Debian
policy" (see http://release.debian.org/squeeze/rc_policy.txt).

We decided that these bugs are not fullfiling the criteria at the
current moment. (Basically, if we'd say "well, we ignore these build
errors for the release of squeeze" then it'd be -ignore. But if we say
"this are too many bugs right now, so please first try to minimize the
number", then these are important only - instead of reverting the
change in dash we could have used /bin/bash on the buildds and avoid
further build failures as well. Same as we did e.g. for the
introduction of gcc-4.4. Or any other toolchain change which would
lead to many build failures.)



Of course, feel free to use the usual NMU rules for these bugs
(technically, I see this as part of "get rid of bashimns", which are
part of several release goals, but others might disagree).



> > We intend to change that decision if only an acceptable number of such
> > bugs is left.
> 
> I'm going to try to find time to work on those bugs so that LINENO can be 
> reintroduced for squeeze.

I'd appreciate that. Thanks.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 15:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuki Sugiura <sugi@nemui.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 27 May 2010 15:36:05 GMT) Full text and rfc822 format available.

Message #78 received at 582952@bugs.debian.org (full text, mbox):

From: Tatsuki Sugiura <sugi@nemui.org>
To: 582952@bugs.debian.org, aba@not.so.argh.org, lucas@lucas-nussbaum.net
Subject: Are FTBFS really caused by LINENO-support?
Date: Fri, 28 May 2010 00:27:02 +0900
Hello,

Are many FTBFS really caused by LINENO-support?

At least, a build problem of libapache2-mod-fcgid (reported
as #583025) was caused by changing behavior of \nnnn (#550399).

I guess that #550399 affects on many build process.

-- 
Tatsuki Sugiura   mailto:sugi@nemui.org




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 16:52:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 27 May 2010 16:52:19 GMT) Full text and rfc822 format available.

Message #83 received at 582952@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Tatsuki Sugiura <sugi@nemui.org>, 582952@bugs.debian.org
Cc: aba@not.so.argh.org, lucas@lucas-nussbaum.net
Subject: Re: Bug#582952: Are FTBFS really caused by LINENO-support?
Date: Thu, 27 May 2010 11:47:16 -0500
Hi,

On 27 May 2010 10:27, Tatsuki Sugiura <sugi@nemui.org> wrote:
> Hello,
>
> Are many FTBFS really caused by LINENO-support?

Yes. LINENO doesn't directly do any harm. It just makes
autoconf-generated configure scripts actually use dash to run the
scripts.

> At least, a build problem of libapache2-mod-fcgid (reported
> as #583025) was caused by changing behavior of \nnnn (#550399).

That's exactly what happens. dash is now the one interpreting the
script which reveals the bashism in configure.apxs. Without a working
$LINENO, autoconf-generated scripts use another shell that does
support it; usually bash.

And as you can read on the bug report you mention, the fact that dash
expands backslashes in its echo built-in is not a bug and won't be
"fixed."

The difficult part of the switch is not fixing the bashisms, but
educating people about them.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 16:57:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 27 May 2010 16:57:42 GMT) Full text and rfc822 format available.

Message #88 received at 582952@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Raphael Geissert <geissert@debian.org>
Cc: 582952@bugs.debian.org
Subject: Re: Bug#582952: Are FTBFS really caused by LINENO-support?
Date: Thu, 27 May 2010 18:53:24 +0200
* Raphael Geissert (geissert@debian.org) [100527 18:47]:
> The difficult part of the switch is not fixing the bashisms, but
> educating people about them.

It might actually be nice to write up an summary of what happened,
why, what the bugs are and how to fix that, and send it to d-d-da?


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Thu, 27 May 2010 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 27 May 2010 17:06:06 GMT) Full text and rfc822 format available.

Message #93 received at 582952@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Andreas Barth <aba@not.so.argh.org>, 582952@bugs.debian.org
Subject: Re: Bug#582952: Are FTBFS really caused by LINENO-support?
Date: Thu, 27 May 2010 12:02:21 -0500
On 27 May 2010 11:53, Andreas Barth <aba@not.so.argh.org> wrote:
> * Raphael Geissert (geissert@debian.org) [100527 18:47]:
>> The difficult part of the switch is not fixing the bashisms, but
>> educating people about them.
>
> It might actually be nice to write up an summary of what happened,
> why, what the bugs are and how to fix that, and send it to d-d-da?
>

Indeed.

Will try to write something tonight and send you the draft so that you
can comment.

P.S. also take this message as an ACK to your last one.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Bug Marked as found in versions dash/0.5.5.1-7~exp0 and reopened. Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 09:39:08 GMT) Full text and rfc822 format available.

Forcibly Merged 582952 584096. Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 09:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Sat, 31 Jul 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 31 Jul 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #102 received at 582952@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: 582952 <582952@bugs.debian.org>
Subject: Is there some reason you can't just fix autoconf?
Date: Sat, 31 Jul 2010 20:43:12 +0100
I was just wondering why you can't do the following in the short term:

1. Fix autoconf (all five versions in Debian) to default to using bash
and only fall back to sh if there is no bash and sh seems to be OK.

2. Regenerate the affected packages and rebuild, adding bash as a build-dep

?

-- 
http://rrt.sc3d.org




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Sat, 31 Jul 2010 19:54:05 GMT) Full text and rfc822 format available.

Message #105 received at 582952@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Reuben Thomas <rrt@sc3d.org>, 582952@bugs.debian.org
Subject: Re: Bug#582952: Is there some reason you can't just fix autoconf?
Date: Sat, 31 Jul 2010 15:50:30 -0400
On Saturday 31 July 2010 15:43:12 Reuben Thomas wrote:
> I was just wondering why you can't do the following in the short term:
> 
> 1. Fix autoconf (all five versions in Debian) to default to using bash
> and only fall back to sh if there is no bash and sh seems to be OK.
> 
> 2. Regenerate the affected packages and rebuild, adding bash as a build-dep

It's easier to make people fix their bogus code. It is not portable (partially 
defeating autoconf's purpose and carefully-written code.)

Regards,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Sat, 31 Jul 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 31 Jul 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #110 received at 582952@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: 582952 <582952@bugs.debian.org>
Subject: Re: Bug#582952: Is there some reason you can't just fix autoconf?
Date: Sat, 31 Jul 2010 21:19:39 +0100
On 31 July 2010 20:50, Raphael Geissert <geissert@debian.org> wrote:
> On Saturday 31 July 2010 15:43:12 Reuben Thomas wrote:
>> I was just wondering why you can't do the following in the short term:
>>
>> 1. Fix autoconf (all five versions in Debian) to default to using bash
>> and only fall back to sh if there is no bash and sh seems to be OK.
>>
>> 2. Regenerate the affected packages and rebuild, adding bash as a build-dep
>
> It's easier to make people fix their bogus code. It is not portable (partially
> defeating autoconf's purpose and carefully-written code.)

That's nice in theory, but in practice you're not just dealing with
autoconf code, you're dealing with all sorts of 3rd party autoconf
macros which, with the best will in the world, are unlikely all ever
to be fixed upstream, for as long as developers continue to use
systems with bash as /bin/sh.

-- 
http://rrt.sc3d.org




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Sun, 01 Aug 2010 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 01 Aug 2010 18:42:05 GMT) Full text and rfc822 format available.

Message #115 received at 582952@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Reuben Thomas <rrt@sc3d.org>, 582952@bugs.debian.org
Subject: Re: Bug#582952: Is there some reason you can't just fix autoconf?
Date: Sun, 1 Aug 2010 14:40:41 -0400
[Message part 1 (text/plain, inline)]
On Sat, Jul 31, 2010 at 20:43:12 +0100, Reuben Thomas wrote:

> I was just wondering why you can't do the following in the short term:
> 
> 1. Fix autoconf (all five versions in Debian) to default to using bash
> and only fall back to sh if there is no bash and sh seems to be OK.
> 
> 2. Regenerate the affected packages and rebuild, adding bash as a build-dep
> 
Because modifying autoconf means screwing up tarballs that are generated
on Debian systems for everyone else.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Sun, 01 Aug 2010 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sun, 01 Aug 2010 20:54:03 GMT) Full text and rfc822 format available.

Message #120 received at 582952@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 582952 <582952@bugs.debian.org>
Subject: Re: Bug#582952: Is there some reason you can't just fix autoconf?
Date: Sun, 1 Aug 2010 21:51:01 +0100
On 1 August 2010 19:40, Julien Cristau <jcristau@debian.org> wrote:
> On Sat, Jul 31, 2010 at 20:43:12 +0100, Reuben Thomas wrote:
>
>> I was just wondering why you can't do the following in the short term:
>>
>> 1. Fix autoconf (all five versions in Debian) to default to using bash
>> and only fall back to sh if there is no bash and sh seems to be OK.
>>
>> 2. Regenerate the affected packages and rebuild, adding bash as a build-dep
>>
> Because modifying autoconf means screwing up tarballs that are generated
> on Debian systems for everyone else.

How would it do that? The only case I can think of in which preferring
bash to /bin/sh is where such an old version of bash is installed on a
system that it is inferior to /bin/sh for running configure scripts.
That sounds pretty unlikely to me.

-- 
http://rrt.sc3d.org




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#582952; Package dash. (Wed, 06 Oct 2010 10:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 06 Oct 2010 10:36:06 GMT) Full text and rfc822 format available.

Message #125 received at 582952@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 582952@bugs.debian.org
Subject: Re: Bug#582952: fixed in dash 0.5.5.1-6
Date: Wed, 6 Oct 2010 05:30:16 -0500
fixed 582952 dash/0.5.5.1-7
found 540685 dash/0.5.5.1-7
quit

Gerrit Pape wrote:

>  dash (0.5.5.1-6) unstable; urgency=high
[...]
>    * debian/diff/0010-SHELL-Add-preliminary-LINENO-support.diff: remove
>      (re-opens: #540685, closes: #582952).

That patch is also absent from 0.5.5.1-7, so marking #582952 fixed.




Bug Marked as fixed in versions dash/0.5.5.1-7. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Oct 2010 10:36:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dash/0.5.6.1-1~exp1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 09 Mar 2011 20:33:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 623677 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 22 Apr 2011 07:51:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 623797 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 06:39:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 619791 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 06:39:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 619695 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 06:39:07 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 582952: 623797 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 06:39:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 623799 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 06:39:13 GMT) Full text and rfc822 format available.

Disconnected #584096 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 08:58:23 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 619719 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Apr 2011 12:36:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 624078 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 25 Apr 2011 12:36:10 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Fri, 19 Aug 2011 13:21:24 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 13:21:25 GMT) Full text and rfc822 format available.

Message #152 received at 582952-close@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 582952-close@bugs.debian.org
Subject: Bug#582952: fixed in dash 0.5.7-1
Date: Fri, 19 Aug 2011 13:17:09 +0000
Source: dash
Source-Version: 0.5.7-1

We believe that the bug you reported is fixed in the latest version of
dash, which is due to be installed in the Debian FTP archive:

ash_0.5.7-1_all.deb
  to main/d/dash/ash_0.5.7-1_all.deb
dash_0.5.7-1.diff.gz
  to main/d/dash/dash_0.5.7-1.diff.gz
dash_0.5.7-1.dsc
  to main/d/dash/dash_0.5.7-1.dsc
dash_0.5.7.orig.tar.gz
  to main/d/dash/dash_0.5.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Nieder <jrnieder@gmail.com> (supplier of updated dash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Aug 2011 00:30:30 -0500
Source: dash
Binary: dash ash
Architecture: all source
Version: 0.5.7-1
Distribution: unstable
Urgency: low
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Jonathan Nieder <jrnieder@gmail.com>
Description: 
 ash        - compatibility package for dash
 dash       - POSIX-compliant shell
Closes: 436466 539909 556521 582952 611556 624172 624715
Changes: 
 dash (0.5.7-1) unstable; urgency=low
 .
   * new upstream release.
     * optimize dash -c "script" to notice the last command and
       exec it without forking (thx Jilles Tjoelker; closes:
       #436466).  This change is inspired by a similar trick in
       ksh, bash, and zsh and can be useful in commands passed to
       system(), popen(), and Makefiles, where "exec" is usually
       not explicitly used.
     * remove spurious space in descriptions of PS1, PS2, PS4 (thx
       Kalle Olavi Niemitalo; closes: #624715).
     * test builtin: use faccessat if available (closes: #539909,
       #556521) so ACLs and other corner cases can be handled
       correctly.
   * debian/diff/:
     - remove patches applied upstream (i.e. all except 0045, 0046).
     - 0045-SHELL-print-n-upon-EOF-...diff: rename to 0001-*.
     - 0046-PARSER-Remove-backslash-...diff: rename to 0002-*.
     - 0003-VAR-Disable-LINENO-support.diff: new; remove LINENO
       support (closes: #582952, reopens: #540685).
   * debian/po/sk.po: [INTL:sk] Slovak debconf templates (thx
     Slavko; closes: #611556).
   * debian/po/nl.po: [INTL:nl] Dutch debconf templates (thx
     Jeroen Schot; closes: #624172).
Checksums-Sha1: 
 a9e509c1fb5691909c855ccfa23a8591341a31db 1013 dash_0.5.7-1.dsc
 a3ebc16f2e2c7ae8adf64e5e62ae3dcb631717c6 223794 dash_0.5.7.orig.tar.gz
 3901d3762aff8fbad117707c6d89e022ccb48944 39151 dash_0.5.7-1.diff.gz
 8691b607c0ee812f3ce909adfa8707d839747410 28692 ash_0.5.7-1_all.deb
Checksums-Sha256: 
 19bd38f4dd40113bfb3c4af85a67db2f612acad01250e956a640d541e3ff9485 1013 dash_0.5.7-1.dsc
 ae89fa9f1145b7748cf0740e1df04cd52fdf8a285da4911dd0f04983efba4e39 223794 dash_0.5.7.orig.tar.gz
 d928ac4862dcea1b796a517709d3a102e23f812c14e9e6f9dc3d3ad7d4d7b6f4 39151 dash_0.5.7-1.diff.gz
 90f7ba2d41deef129826bbf4beb88523484b7f6e68c651068a8bef978d72d1a6 28692 ash_0.5.7-1_all.deb
Files: 
 5ded4af64a7fb025e170cd1e60b46ef6 1013 shells optional dash_0.5.7-1.dsc
 f6cedb10ae7258adb5ab17a10ae80d51 223794 shells optional dash_0.5.7.orig.tar.gz
 7069e2f8d4784764829a593e5c364301 39151 shells optional dash_0.5.7-1.diff.gz
 195a697f0cfbe1c9e5181b68708aba02 28692 shells optional ash_0.5.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5OXIAACgkQGJoyQbxwpv/o+ACgpPF76mAQsz8nWJimGWgfZCxP
8SUAnRq4g6I6rIOGiipv1YYOTZ7YOXL+
=LdLj
-----END PGP SIGNATURE-----





Bug Marked as found in versions dash/0.5.7-2~exp1 and reopened. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 19 Aug 2011 17:03:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 647350 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 04 Nov 2011 09:48:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582952: 645484 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 04 Nov 2011 09:57:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 23 Nov 2013 17:45:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 17:45:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Dec 2013 07:28:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:56:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.